org.eclipse.incquery.runtime.evm.qrm

## Class EVMBasedQueryResultMultimap<Match extends IPatternMatch,KeyType,ValueType>

- java.lang.Object
- - org.eclipse.incquery.runtime.base.api.QueryResultAssociativeStore<KeyType,ValueType>
  - - org.eclipse.incquery.runtime.base.api.QueryResultMultimap<KeyType,ValueType>
    - - org.eclipse.incquery.runtime.evm.qrm.EVMBasedQueryResultMultimap<Match,KeyType,ValueType>

- All Implemented Interfaces:
    com.google.common.collect.Multimap<KeyType,ValueType>

      public abstract class EVMBasedQueryResultMultimap<Match extends IPatternMatch,KeyType,ValueType>
      extends QueryResultMultimap<KeyType,ValueType>

  This `QueryResultMultimap` implementation uses the EVM to provide a query-based multimap. The contents of the multimap will be updated when the activations are fired in the EVM.
  Author:
    Abel Hegedus

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<Matcher extends IncQueryMatcher<Match>> void` | `addMatcherToMultimapResults(IQuerySpecification<Matcher> querySpecification)` Adds the given query into the results of the multimap.

    - ### Methods inherited from class org.eclipse.incquery.runtime.base.api.QueryResultMultimap

      `asMap, clear, containsEntry, containsKey, containsValue, entries, get, isEmpty, keys, keySet, put, putAll, putAll, remove, removeAll, replaceValues, size, values`

    - ### Methods inherited from class org.eclipse.incquery.runtime.base.api.QueryResultAssociativeStore

      `addCallbackOnQueryResultUpdate, removeCallbackOnQueryResultUpdate, setQueryResultSetter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.common.collect.Multimap

      `equals, hashCode`

- - ### Method Detail

    - #### addMatcherToMultimapResults

          public <Matcher extends IncQueryMatcher<Match>> void addMatcherToMultimapResults(IQuerySpecification<Matcher> querySpecification)

      Adds the given query into the results of the multimap.
      Parameters:
        `querySpecification` -